%global debug_package %{nil}

Name: range-v3
Summary: Experimental range library for C++11/14/17
Version: 0.12.0
Release: 1

License: BSL-1.0
URL: https://github.com/ericniebler/%{name}
Source0: %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++

%description
Header-only %{summary}.

%package devel
Summary: Development files for %{name}
Provides: %{name}-static = %{version}-%{release}

%description devel
%{summary}.

%prep
%autosetup -p1

%build
mkdir build && cd build
%cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DRANGES_ENABLE_WERROR:BOOL=OFF \
    -DRANGES_MODULES:BOOL=OFF \
    -DRANGES_NATIVE:BOOL=OFF \
    -DRANGE_V3_DOCS:BOOL=OFF \
    -DRANGE_V3_EXAMPLES:BOOL=OFF \
    -DRANGE_V3_PERF:BOOL=OFF \
    -DRANGE_V3_TESTS:BOOL=ON \
    ..
%make_build

%install
cd build
%make_install

%check
make test

%files devel
%doc README.md CREDITS.md TODO.md
%license LICENSE.txt
%exclude %{_includedir}/module.modulemap
%{_includedir}/{meta,range,concepts,std}
%{_libdir}/cmake/%{name}

%changelog
* Sta May 6 2023 will_niutao <niutao2@huawei.com> - 0.12.0-1
- Init for openEuler

